{ config, pkgs, ... }:

{
  networking.hostName = "vm";

  # Use DHCP for networking
  networking.useDHCP = true;

  # Disk encryption setup
  boot.initrd.luks.devices = {
    root = {
      device = "/dev/sda2";
      preLVM = true;
    };
  };

  # Hyprland setup without GPU acceleration
  services.xserver.enable = true;
  services.xserver.videoDrivers = [ ];

  # Use the same package set as desktop/laptop
  environment.systemPackages = with pkgs; [
    alacritty
    brave
    helix
    rustc cargo
    go
    nodejs
    discord
    spotify
  ];
}
